xine-lib: xine-lib-1.2.12/src/video_out/xcbosd.h File Reference

xine-lib 1.2.12

Typedefs | Enumerations | Functions
xcbosd.h File Reference
`#include <xine/vo_scale.h>`

Go to the source code of this file.

## Typedefs
typedef struct xcbosd | xcbosd

## Enumerations
enum | xcbosd_mode { XCBOSD_SHAPED , XCBOSD_COLORKEY }

## Functions
xcbosd * | xcbosd_create (xine_t *xine, xcb_connection_t *connection, xcb_screen_t *screen, xcb_window_t window, enum xcbosd_mode mode)
void | xcbosd_colorkey (xcbosd *osd, uint32_t colorkey, vo_scale_t *scaling)
void | xcbosd_destroy (xcbosd *osd)
void | xcbosd_expose (xcbosd *osd)
void | xcbosd_resize (xcbosd *osd, int width, int height)
void | xcbosd_drawable_changed (xcbosd *osd, xcb_window_t window)
void | xcbosd_clear (xcbosd *osd)
void | xcbosd_blend (xcbosd *osd, vo_overlay_t *overlay)

## Typedef Documentation

## ◆ xcbosd

typedef struct xcbosd xcbosd

## Enumeration Type Documentation

## ◆ xcbosd_mode

enum xcbosd_mode

Enumerator
XCBOSD_SHAPED |
XCBOSD_COLORKEY |

## Function Documentation

## ◆ xcbosd_blend()

void xcbosd_blend | ( | xcbosd * | osd,
|  | vo_overlay_t * | overlay
| ) |  |

References xcbosd::bitmap, xcbosd::clean, xcbosd::cmap, rle_elem_s::color, vo_overlay_s::color, xcbosd::connection, xcbosd::gc, vo_overlay_s::hili_color, vo_overlay_s::hili_left, vo_overlay_s::hili_right, vo_overlay_s::hili_top, vo_overlay_s::hili_trans, rle_elem_s::len, xcbosd::mask_bitmap, xcbosd::mask_gc, xcbosd::mode, NULL, vo_overlay_s::num_rle, OVL_PALETTE_SIZE, vo_overlay_s::rle, saturate, xcbosd::screen, xcbosd::shaped, vo_overlay_s::trans, TRANSPARENT, xcbosd::u, v, vo_overlay_s::width, width, vo_overlay_s::x, xcbosd_clear(), XCBOSD_SHAPED, and vo_overlay_s::y.

Referenced by xshm_overlay_blend(), and xv_overlay_blend().

## ◆ xcbosd_clear()

void xcbosd_clear | ( | xcbosd * | osd | ) |

References xcbosd::bitmap, xcbosd::clean, xcbosd::colorkey, xcbosd::connection, xcbosd::gc, xcbosd::height, lprintf, xcbosd::mask_bitmap, xcbosd::mask_gc_back, xcbosd::mode, xcbosd::screen, xcbosd::shaped, xcbosd::u, xcbosd::width, XCBOSD_COLORKEY, and XCBOSD_SHAPED.

Referenced by xcbosd_blend(), xcbosd_colorkey(), xcbosd_resize(), xshm_overlay_begin(), and xv_overlay_begin().

## ◆ xcbosd_colorkey()

void xcbosd_colorkey | ( | xcbosd * | osd,
|  | uint32_t | colorkey,
|  | vo_scale_t * | scaling
| ) |  |

References xcbosd::clean, xcbosd::colorkey, xcbosd::mode, xcbosd::u, xcbosd_clear(), XCBOSD_COLORKEY, and xcbosd_expose().

Referenced by open_plugin().

## ◆ xcbosd_create()

xcbosd * xcbosd_create | ( | xine_t * | xine,
|  | xcb_connection_t * | connection,
|  | xcb_screen_t * | screen,
|  | xcb_window_t | window,
|  | enum xcbosd_mode | mode
| ) |  |

References _, xcbosd::bitmap, xcbosd::clean, xcbosd::cmap, xcbosd::connection, xcbosd::depth, xcbosd::gc, xcbosd::height, xcbosd::mapped, xcbosd::mask_bitmap, xcbosd::mask_gc, xcbosd::mask_gc_back, mode(), xcbosd::mode, NULL, xcbosd::screen, xcbosd::shaped, xcbosd::u, xcbosd::visual, xcbosd::width, xcbosd::window, XCBOSD_COLORKEY, xcbosd_expose(), XCBOSD_SHAPED, xcbosd::xine, XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by open_plugin(), and xshm_open_plugin().

## ◆ xcbosd_destroy()

void xcbosd_destroy | ( | xcbosd * | osd | ) |

References xcbosd::bitmap, xcbosd::cmap, xcbosd::connection, xcbosd::gc, xcbosd::mask_bitmap, xcbosd::mask_gc, xcbosd::mask_gc_back, xcbosd::mode, xcbosd::shaped, xcbosd::u, xcbosd::window, and XCBOSD_SHAPED.

Referenced by xshm_dispose(), and xv_dispose().

## ◆ xcbosd_drawable_changed()

void xcbosd_drawable_changed | ( | xcbosd * | osd,
|  | xcb_window_t | window
| ) |  |

References xcbosd::bitmap, xcbosd::clean, xcbosd::cmap, xcbosd::connection, xcbosd::depth, xcbosd::height, lprintf, xcbosd::mapped, xcbosd::mask_bitmap, xcbosd::mode, NULL, xcbosd::screen, xcbosd::shaped, xcbosd::u, xcbosd::visual, xcbosd::width, xcbosd::window, XCBOSD_COLORKEY, and XCBOSD_SHAPED.

Referenced by xshm_gui_data_exchange(), and xv_gui_data_exchange().

## ◆ xcbosd_expose()

void xcbosd_expose | ( | xcbosd * | osd | ) |

References xcbosd::bitmap, xcbosd::clean, xcbosd::connection, xcbosd::gc, xcbosd::height, lprintf, xcbosd::mapped, xcbosd::mask_bitmap, xcbosd::mode, xcbosd::shaped, xcbosd::u, xcbosd::width, xcbosd::window, XCBOSD_COLORKEY, and XCBOSD_SHAPED.

Referenced by xcbosd_colorkey(), xcbosd_create(), xshm_gui_data_exchange(), xshm_overlay_end(), xv_gui_data_exchange(), and xv_overlay_end().

## ◆ xcbosd_resize()

void xcbosd_resize | ( | xcbosd * | osd,
|  | int | width,
|  | int | height
| ) |  |

References xcbosd::bitmap, xcbosd::clean, xcbosd::connection, xcbosd::depth, height, xcbosd::height, lprintf, xcbosd::mask_bitmap, xcbosd::mode, xcbosd::shaped, xcbosd::u, width, xcbosd::width, xcbosd::window, xcbosd_clear(), XCBOSD_COLORKEY, and XCBOSD_SHAPED.

Referenced by clean_output_area(), and xv_clean_output_area().